## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# The python-diskcache package, used in some of the tests, has been retired in
# Fedora and is not available in EPEL7.
%bcond_with diskcache
# The python-more-itertools package is not available in EPEL7.
%bcond_with more_itertools

Name:           python-fasteners
Version:        0.16.3
Release:        %autorelease
Summary:        A python package that provides useful locks

License:        ASL 2.0
URL:            https://github.com/harlowja/fasteners
Source0:        %{url}/archive/%{version}/fasteners-%{version}.tar.gz

BuildArch:      noarch

%global common_description %{expand: \
Cross platform locks for threads and processes}

%description
%{common_description}


%package -n python2-fasteners
Summary:        %{summary}

%{?python_provide:%python_provide python2-fasteners}

BuildRequires:  python2-devel

BuildRequires:  python2-six
BuildRequires:  python-monotonic

BuildRequires:  python2-nose
BuildRequires:  python-testtools
BuildRequires:  python2-futures
BuildRequires:  python-pathlib

Requires:       python2-six
Requires:       python-monotonic

%description -n python2-fasteners
%{common_description}


%package -n python%{python3_pkgversion}-fasteners
Summary:        %{summary}

%{?python_provide:%python_provide python%{python3_pkgversion}-fasteners}

BuildRequires:  python%{python3_pkgversion}-devel

BuildRequires:  python%{python3_pkgversion}-six

BuildRequires:  python%{python3_pkgversion}-nose
BuildRequires:  python%{python3_pkgversion}-testtools

Requires:       python%{python3_pkgversion}-six

%description -n python%{python3_pkgversion}-fasteners
%{common_description}


%prep
%autosetup -n fasteners-%{version}
# Remove bundled egg-info
rm -rf fasteners.egg-info
cp -a . %{py3dir}
# The version of setuptools we have available for Python 2 does not understand
# the version conditional.
sed -r -i 's/(monotonic>=0.1);python_version<"3.4"/\1/' setup.py


%build
%py2_build
pushd %{py3dir}
%py3_build
popd


%install
%py2_install
pushd %{py3dir}
%py3_install
popd


%check
%if %{without diskcache} || %{without more_itertools}
i="--ignore-files=test_reader_writer_lock"
%endif
nosetests-%{python2_version} ${i-}
pushd %{py3dir}
nosetests-%{python3_version} ${i-}
popd


%files -n python2-fasteners
%doc README.md
%license LICENSE
%{python2_sitelib}/fasteners
%{python2_sitelib}/fasteners-%{version}-py%{python2_version}.egg-info


%files -n python%{python3_pkgversion}-fasteners
%doc README.md
%license LICENSE
%{python3_sitelib}/fasteners
%{python3_sitelib}/fasteners-%{version}-py%{python3_version}.egg-info


%changelog
* Mon May 16 2022 Benjamin A. Beasley <code@musicinmybrain.net> 0.16.3-1
- Update to 0.16.3

* Mon May 16 2022 Benjamin A. Beasley <code@musicinmybrain.net> 0.9.0-11
- Provide python2-fasteners as a subpackage

* Mon May 16 2022 Benjamin A. Beasley <code@musicinmybrain.net> 0.9.0-10
- Simplify Source0 URL

* Mon May 16 2022 Benjamin A. Beasley <code@musicinmybrain.net> 0.9.0-9
- Reduce macro indirection in the spec file

* Mon Apr 13 2020 Felix Schwarz <fschwarz@fedoraproject.org> - 0.9.0-3
- add Python 3 subpackage

* Fri Jun 12 2015 Matthias Runge <mrunge@redhat.com> - 0.9.0-2
- switch to github sourcecode, license included
- add tests, fix conditionals for python3

* Thu Jun 11 2015 Matthias Runge <mrunge@redhat.com> - 0.9.0-1
- Initial package. (rhbz#1230548)

